Bug 89816 - Shift-3 (UK pound sign) does not show pound sign
Summary: Shift-3 (UK pound sign) does not show pound sign
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-28 19:48 UTC by Need Real Name
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 21:04:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (17.26 KB, image/png)
2003-04-28 19:49 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-04-28 19:48:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I press Shift+3 in gnome-terminal, a UK Pound sign is not shown.
See screenshot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Shift+3 in gnome-terminal

Additional info:

Here's the text pasted from the screenshot. Note the odd character does paste as
a pound sign, so gnome-terminal is not displaying it correctly.

[root@localhost root]# 1 ! 2 " 3 � 4 $ 5 %

Comment 1 Need Real Name 2003-04-28 19:49:16 UTC
Created attachment 91350 [details]
screenshot

Comment 2 Havoc Pennington 2003-04-28 20:04:50 UTC
Your font probably doesn't have pound sign, and vte doesn't do fontsetting yet
(fallback fonts for chars not present in current font)

Comment 3 Need Real Name 2003-11-19 22:26:52 UTC
Is this fixed in Fedora Core 1?

Comment 4 Nalin Dahyabhai 2003-11-20 21:04:59 UTC
Yes, it should be.  Fontsetting was implemented in an earlier 0.11
version than was included in FC1, so it's in there.  One of the
documentation files (/usr/share/doc/vte-0.11.10/iso2022.txt) can be
catted to demonstrate this.  Closing.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.